Subject: [Hipsec] Announcing work starting on 4423-bis and 5201-bis

From: Robert Moskowitz <[email-masked]>
Date: Thu, 03 Dec 2009 08:44:16 -0500

I have taken on editorial responsiblities for reving 4423 and 5201.  I 
have the month of December fairly open to work on this, as for me it is 
just another work-month.  January turns very busy with IEEE 802 meetings 
and my daughter's wedding, so I need to get the bulk of the changes done 
now.

I just received the XMLs yesterday from the RFC editor.  There will be a 
few challenges (ahem) getting them current (like where did Noel move his 
EID paper to; yes I found it already).  Particularly with 4423 we have 
to be careful as the last RFC editorial changes where NOT made to the 
XML, but rather their nroff, so we will need some eyeballs (and review 
of old RFC editor emails) to capture those last-minute changes.

I am using XMLmind on Linux, and am NOT skilled at all with XML, so I 
have a steep learning curve, but it is past time to tackle this anyway.

I will shortly be posting things that I know about changing in these 
docs, but we do need to get stuff into the tracking site.  Also I ask 
that someone reviews 
http://research.microsoft.com/en-us/um/people/tuomaura/Publications/aura-nagarajan-gurtov-acisp05.pdf 
and see if there is anything in there not yet addressed.  Additionally 
are there any other critiques that we should review?  I am seeing a 
number of IESG comments buried within the XMLs that I will turn into issues.

Finally we need editors for reving RFCs 5202-6.  We have discussed 
rolling the HIP relay into RFC 5204 so that may be a larger piece of 
work. Spread the work/wealth!

---

From: Petri Jokela <[email-masked]>
Date: Thu, 3 Dec 2009 15:51:06 +0200

On Dec 3, 2009, at 3:44 PM, Robert Moskowitz wrote:
> Finally we need editors for reving RFCs 5202-6.  We have discussed rolling the HIP relay into RFC 5204 so that may be a larger piece of work. Spread the work/wealth!

I can take the responsibility for RFC 5202 (Using ESP Transport Format with the HIP) if there are no objections. 

I am planning to keep the open issues for 5202 in our issue tracker at:

http://hip4inter.net/cgi-bin/roundup.cgi

I can create a tracker for other documents too (5201 is already there while I was testing the system :-) and give accounts for the editors.

/petri

-- 
Petri Jokela                        Tel:    +358 9 299 2413
Research scientist                  Fax:    +358 9 299 3535
NomadicLab, Ericsson Research       Mobile: +358 44 299 2413
Oy L M Ericsson Ab                  email: [email-masked]

---

From: "Laganier, Julien" <[email-masked]>
Date: Thu, 3 Dec 2009 11:44:24 -0800

Petri Jokela wrote:
> I can take the responsibility for RFC 5202 (Using ESP Transport Format
> with the HIP) if there are no objections.

I'd be happy to serve once again as an editor of 5203 (registration), 5204 (rvs), 5205 (dns) and 4843 (in case we need to rev the ORCHID RFC as well.)
 
> I can create a tracker for other documents too (5201 is already there
> while I was testing the system :-) and give accounts for the editors.

I'd rather have us use the trac tool available on the IETF tools.ietf.org server -- it integrates nicely with the tools page for a working group, showing number of issues/solved etc.

See draft-ietf-mext-rfc3775bis on this page <http://tools.ietf.org/wg/mext/> for an example.

The HIP tools page has no wiki nor tracker, I guess we'd need to ask Henrik to get one.

--julien

---

From: Robert Moskowitz <[email-masked]>
Date: Thu, 03 Dec 2009 15:15:58 -0500

> I'd be happy to serve once again as an editor of 5203 (registration), 5204 (rvs), 5205 (dns) and 4843 (in case we need to rev the ORCHID RFC as well.)

Oh, yes, 4843....

We talked about that at Stockholm.

It is an Experimental RFC. We, as Standards Track, I don't believe can 
reference an Experimental RFC? So it either:

also goes Standards Track
goes Informational? Does that work?
we 'drop' ORCHIDs and do our own, or pull the important parts into our RFCs

> The HIP tools page has no wiki nor tracker, I guess we'd need to ask Henrik to get one.

Hey, I'm cool with either, just let's get it started.

---

From: Petri Jokela <[email-masked]>
Date: Fri, 4 Dec 2009 08:40:35 +0200

> See draft-ietf-mext-rfc3775bis on this page <http://tools.ietf.org/wg/mext/> for an example.

Cool, I didn't know that there is a tracking possibility! I think it is better to use the ietf trac tools instead of multiple instances around the world. 

/petri

---

From: Robert Moskowitz <[email-masked]>
Date: Fri, 04 Dec 2009 08:47:12 -0500

> Cool, I didn't know that there is a tracking possibility! I think it is better to use the ietf trac tools instead of multiple instances around the world. 

I looked at: http://tools.ietf.org/wg/hip/

Yes, way cool! In fact I found all my old drafts! Well, I don't know if 
they are all there but with at least 
http://tools.ietf.org/id/draft-moskowitz-hip-arch-00.txt, I have hopes! 
This is important for those thinking about hierarchical HITs, as you can 
read my original thoughts on how they would work.

I see that there are only issues against active I-Ds. It is not clear 
how to submit issues, but hopefully someone will dig that out. But now 
my goal (and to other editors) is to create a -00.txt to submit that 
will be cleaned up a little and ready for people to submit issues 
against. Then the 01-txt would be the target I-D for having changes in 
place. To this end, my goal is to get 4423-bis ready today...

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Sat, 5 Dec 2009 15:49:39 -0800

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Petri Jokela
> Sent: Thursday, December 03, 2009 5:51 AM
> To: Robert Moskowitz
> Cc: [email-masked]
> Subject: Re: [Hipsec] Announcing work starting on 4423-bis
> and 5201-bis
>
>
> > Finally we need editors for reving RFCs 5202-6.  We have
> discussed rolling the HIP relay into RFC 5204 so that may be
> a larger piece of work. Spread the work/wealth!
>
>
> I can take the responsibility for RFC 5202 (Using ESP
> Transport Format with the HIP) if there are no objections.

Likewise, I offer to take responsibility for RFC 5206 (mobility and multihoming) revisions.  I do not have a strong opinion on the tracker choice, other than that one is needed, and that if the IETF actively supports a tool, we can leverage their support.

Tom

---

From: Robert Moskowitz <[email-masked]>
Date: Sat, 05 Dec 2009 19:18:39 -0500

> Likewise, I offer to take responsibility for RFC 5206 (mobility and multihoming) revisions.  I do not have a strong opinion on the tracker choice, other than that one is needed, and that if the IET…

So we have editors for all of the 7 RFCs, thank you Petri, Julien, and Tom.

What I am doing, is getting the RFX XMLs cleaned up with minimal 
editorial changes, like pulling all the 2003 references out of 4423, 
then putting up a -00.txt ID. Once that gets onto the HIP draft page ( 
the co-chairs might have to tell the PIC to link them in as they don't 
obviously have HIP in the draft file names), we can start right in with 
issues instead of trying to get a draft done with the changes we know 
and THEN get issues against that...

If I don't finish 5201 over the weekend, I will have it done monday. But 
I have to find out why 4423 did not get posted; probably not until 
monday for that...

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sun, 06 Dec 2009 14:29:51 +0200

Hi,

> So we have editors for all of the 7 RFCs, thank you Petri, Julien, and Tom.

yes, thanks for volunteering!

One thing we should take care of is the analysis our AD has requested 
from us:

http://www.ietf.org/mail-archive/web/hipsec/current/msg02705.html

Cheers,

Gonzalo